Skip to main content
`Ctrl`+`K`

# PEPGetST

Obtain the spectral transformation (`ST`) object associated to the eigensolver object.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPGetST(PEP pep,ST *st)

Not Collective

## Input Parameter

- pep - the polynomial eigensolver context

## Output Parameter

- st - spectral transformation context

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSetST()`

## Level

intermediate

## Location

src/pep/interface/pepbasic.c

## Examples

src/pep/tutorials/ex38.c
src/pep/tutorials/ex50.c
src/pep/tutorials/ex40.c
src/pep/tutorials/ex28.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages